
Radar HF - Task #1028

Milestone # 1031 (Closed): Desarrollo

Enhancement # 1027 (Closed): Desarrollo Nuevo Estandar-HF

Recepción JRO con grabado HDF5 1 minuto

07/03/2017 06:01 PM - Ramiro Yanque

Status: Closed Start date: 07/03/2017

Priority: Normal Due date: 09/07/2017

Assignee: Josemaría Gómez % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Grabar HDF5 cada minuto para la toma estandar

History

#1 - 07/03/2017 06:02 PM - Ramiro Yanque

- Tracker changed from Milestone to Task

- Parent task set to #1027

#2 - 07/05/2017 02:13 PM - Ramiro Yanque

- Precedes Task #1029: Almacenar datos en 3 carpetas distintas added

#5 - 07/25/2017 10:08 PM - Josemaría Gómez

-Probar renombrar types de todas las variables al minimo necesario : dtype=np.int8

#6 - 07/25/2017 10:14 PM - Josemaría Gómez

https://www.huyng.com/posts/faster-numpy-dot-product

https://gist.github.com/huyng/7969327#file-fastdot-py

https://stackoverflow.com/questions/1053928/very-large-matrices-using-python-and-numpy

https://github.com/scipy/scipy/issues/3297

https://docs.scipy.org/doc/numpy/user/basics.broadcasting.html

http://eli.thegreenplace.net/2015/broadcasting-arrays-in-numpy/

http://howtothink.readthedocs.io/en/latest/PvL_06.html

#7 - 08/24/2017 01:30 PM - Josemaría Gómez

- Status changed from New to In progress

- % Done changed from 40 to 90

Recomendacion: Poner Prefijo al archivo hdf5 para distinguirlos.

#8 - 08/24/2017 01:31 PM - Josemaría Gómez

- Due date changed from 07/24/2017 to 09/07/2017

#9 - 08/28/2017 03:18 PM - Josemaría Gómez

- Related to Milestone #1031: Desarrollo added
https://www.huyng.com/posts/faster-numpy-dot-product
https://gist.github.com/huyng/7969327#file-fastdot-py
https://stackoverflow.com/questions/1053928/very-large-matrices-using-python-and-numpy
https://github.com/scipy/scipy/issues/3297
https://docs.scipy.org/doc/numpy/user/basics.broadcasting.html
http://eli.thegreenplace.net/2015/broadcasting-arrays-in-numpy/
http://howtothink.readthedocs.io/en/latest/PvL_06.html


#10 - 09/04/2017 02:35 PM - Ramiro Yanque

- Precedes deleted (Task #1029: Almacenar datos en 3 carpetas distintas)

#11 - 09/06/2017 04:57 PM - Josemaría Gómez

La estación de Prueba se encuentra grabando en HDF5, la data es compleja (FFT(volts)).

-- Se grabarán los PowerSpectras Normalizados Y los Cross-Spectras aún en 10seg.

Falta la integración.

-- Despues se procederá a promediarlos cada 6 bloques.

#12 - 09/19/2017 02:09 PM - Josemaría Gómez

- File 249RTI-1cada6FromFFt_364.png added

- Status changed from In progress to Resolved

- % Done changed from 90 to 100

Se probó el algoritmo de integración incoherente ya desarrollado, durante mas de 10 dias.

Se desarrollo un script para graficar los RTI's del HDF5.

#13 - 05/14/2018 09:05 PM - Ramiro Yanque

- Status changed from Resolved to Closed

Files

249RTI-1cada6FromFFt_364.png 481 KB 09/19/2017 Josemaría Gómez
